From: "Matt Turner" <mattst88@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: dev-libs/libreport/
Date: Sat, 8 May 2021 17:42:42 +0000 (UTC) [thread overview]
Message-ID: <1620495738.f212a7216a118c74966f2138c6b70b318ab28db7.mattst88@gentoo> (raw)
commit: f212a7216a118c74966f2138c6b70b318ab28db7
Author: Matt Turner <mattst88 <AT> gentoo <DOT> org>
AuthorDate: Sat May 8 17:40:43 2021 +0000
Commit: Matt Turner <mattst88 <AT> gentoo <DOT> org>
CommitDate: Sat May 8 17:42:18 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=f212a721
dev-libs/libreport: Version bump to 2.15.1
Signed-off-by: Matt Turner <mattst88 <AT> gentoo.org>
dev-libs/libreport/Manifest | 1 +
dev-libs/libreport/libreport-2.15.1.ebuild | 100 +++++++++++++++++++++++++++++
2 files changed, 101 insertions(+)
diff --git a/dev-libs/libreport/Manifest b/dev-libs/libreport/Manifest
index 1d7fd373044..3986245a165 100644
--- a/dev-libs/libreport/Manifest
+++ b/dev-libs/libreport/Manifest
@@ -1,2 +1,3 @@
DIST libreport-2.13.1.tar.gz 1841698 BLAKE2B e0fbebbb557fb9fb320dea0a8face6a2eabdb0ad80b5de092e5e4dfe2a0439a4804d4ec99c1286aaafa31064496a94fabce5e26f851001eb9c3bb9989a46e4bb SHA512 6c2ea47e6efa36f23030fbe08946d1e524690e5f6279cbfdaf7c463ef71b23ae82a5e4471ddce89b35d4024f58197cef9f58a07dfcf5bbc1a9b310e39966f81a
DIST libreport-2.15.0.tar.gz 1859305 BLAKE2B ceedd392bd0c7fc5c3f0db5d4a63ced6a1e430b09d1d085996ce735daef5f48cd18267fb1401d9343857619daef6f7f3dcea8508c62313a9f908e5573508649c SHA512 7baaa1fb65face910e55ad06e53af08c5e31f058bf5936c3c1d45581e050380b5db75659b5a493cc626a81795d82616a2dfad696d60c107929cfb8e2905e7f4c
+DIST libreport-2.15.1.tar.gz 1860410 BLAKE2B 43743fc7a7698851e247956621286cc94dbfcc451b8d95aaff9263e65f787b23f7bbf5d7ec087196d5f9f30a697c66e547bbccdc913b3ea2a17ea4c7bf77ee02 SHA512 70f947690173a0afa57981c9755a18bdd0ad44c888c00713de74624296b81ff25203d5dda5d5c57eac85da4a1631585184b77715c7adf6688b469e32d4113cf4
diff --git a/dev-libs/libreport/libreport-2.15.1.ebuild b/dev-libs/libreport/libreport-2.15.1.ebuild
new file mode 100644
index 00000000000..886cb5a64cc
--- /dev/null
+++ b/dev-libs/libreport/libreport-2.15.1.ebuild
@@ -0,0 +1,100 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+PYTHON_COMPAT=( python3_{7..9} )
+
+inherit autotools python-r1
+
+DESCRIPTION="Generic library for reporting software bugs"
+HOMEPAGE="https://github.com/abrt/libreport"
+SRC_URI="https://github.com/abrt/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+
+LICENSE="GPL-2"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+
+IUSE="gtk +python"
+REQUIRED_USE="${PYTHON_REQUIRED_USE}"
+
+DEPEND="${PYTHON_DEPS}
+ app-admin/augeas
+ app-arch/libarchive:0=
+ >=dev-libs/glib-2.43.4:2
+ dev-libs/satyr:0=
+ dev-libs/json-c:=
+ dev-libs/libxml2:2
+ dev-libs/nettle:=
+ dev-libs/newt:=
+ dev-libs/xmlrpc-c:=
+ net-libs/libproxy:=
+ net-misc/curl:=[ssl]
+ sys-apps/dbus
+ sys-apps/systemd
+ gtk? ( >=x11-libs/gtk+-3.3.12:3 )
+ python? ( ${PYTHON_DEPS} )
+ x11-misc/xdg-utils
+"
+RDEPEND="${DEPEND}
+ acct-user/abrt
+ acct-group/abrt
+"
+BDEPEND="
+ app-text/asciidoc
+ app-text/xmlto
+ >=dev-util/intltool-0.3.50
+ >=sys-devel/gettext-0.17
+ virtual/pkgconfig
+"
+
+# Tests require python-meh, which is highly redhat-specific.
+RESTRICT="test"
+
+src_prepare() {
+ default
+ ./gen-version || die # Needed to be run before autoreconf
+ eautoreconf
+ use python && python_copy_sources
+}
+
+src_configure() {
+ use python && python_setup
+
+ local myargs=(
+ --localstatedir="${EPREFIX}/var"
+ --without-bugzilla
+ $(use_with gtk)
+ $(use_with python python3)
+ )
+ if use python; then
+ python_foreach_impl run_in_build_dir econf "${myargs[@]}"
+ else
+ econf "${myargs[@]}"
+ fi
+}
+
+src_compile() {
+ if use python; then
+ python_foreach_impl run_in_build_dir default
+ else
+ default
+ fi
+}
+
+src_install() {
+ if use python; then
+ python_install() {
+ default
+ python_optimize
+ }
+ python_foreach_impl run_in_build_dir python_install
+ else
+ default
+ fi
+
+ # Need to set correct ownership for use by app-admin/abrt
+ diropts -o abrt -g abrt
+ keepdir /var/spool/abrt
+
+ find "${D}" -name '*.la' -exec rm -f {} + || die
+}
next reply other threads:[~2021-05-08 17:42 UTC|newest]
Thread overview: 26+ messages / expand[flat|nested] mbox.gz Atom feed top
2021-05-08 17:42 Matt Turner [this message]
-- strict thread matches above, loose matches on Subject: below --
2022-03-13 18:36 [gentoo-commits] repo/gentoo:master commit in: dev-libs/libreport/ Pacho Ramos
2022-03-13 18:36 Pacho Ramos
2022-01-22 9:14 Pacho Ramos
2021-09-26 10:18 Pacho Ramos
2021-09-07 15:08 Pacho Ramos
2021-09-07 15:08 Pacho Ramos
2021-08-08 12:50 Pacho Ramos
2021-05-09 19:48 Pacho Ramos
2021-05-01 14:07 Matt Turner
2020-11-08 16:26 Matt Turner
2020-11-08 16:26 Matt Turner
2020-08-24 22:24 Matt Turner
2020-04-26 1:54 Matt Turner
2020-03-19 2:07 Matt Turner
2020-01-28 9:39 Mart Raudsepp
2020-01-27 9:45 Mikle Kolyada
2020-01-26 22:39 Thomas Deutschmann
2019-02-23 15:59 Pacho Ramos
2018-12-12 16:30 Mikle Kolyada
2018-12-07 2:41 Thomas Deutschmann
2018-05-23 22:36 Aaron Bauman
2018-05-23 22:30 Aaron Bauman
2018-05-23 21:24 Aaron Bauman
2018-01-23 20:28 Andreas Sturmlechner
2017-07-09 20:56 Andreas Sturmlechner
Reply instructions:
You may reply publicly to this message via plain-text email
using any one of the following methods:
* Save the following mbox file, import it into your mail client,
and reply-to-all from there: mbox
Avoid top-posting and favor interleaved quoting:
https://en.wikipedia.org/wiki/Posting_style#Interleaved_style
* Reply using the --to, --cc, and --in-reply-to
switches of git-send-email(1):
git send-email \
--in-reply-to=1620495738.f212a7216a118c74966f2138c6b70b318ab28db7.mattst88@gentoo \
--to=mattst88@gentoo.org \
--cc=gentoo-commits@lists.gentoo.org \
--cc=gentoo-dev@lists.gentoo.org \
/path/to/YOUR_REPLY
https://kernel.org/pub/software/scm/git/docs/git-send-email.html
* If your mail client supports setting the In-Reply-To header
via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line
before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox